summaryrefslogtreecommitdiffstats
path: root/source/ap/mc/mc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/mc/mc.SlackBuild')
-rwxr-xr-xsource/ap/mc/mc.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/source/ap/mc/mc.SlackBuild b/source/ap/mc/mc.SlackBuild
index 21d997db6..bb78ba596 100755
--- a/source/ap/mc/mc.SlackBuild
+++ b/source/ap/mc/mc.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -64,12 +64,15 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix tmp path for saving files:
-zcat $CWD/mc.save.file.diff.gz | patch -p1 --verbose || exit 1
-
# Use geeqie instead of gqview as an external image viewer:
zcat $CWD/mc.image.sh.geeqie.diff.gz | patch -p1 --verbose || exit 1
+# Upstream bugfix for crash moving directories:
+zcat $CWD/changeset_54a5139eec69438f8771ffddcff96a2e72a197ff.diff.gz | patch -p0 --verbose || exit 1
+
+# Upstream fix for cmdline directory handling:
+zcat $CWD/changeset_446748619b5cb77ea63360a81bb16cd2dd2caff7.diff.gz | patch -p0 --verbose || exit 1
+
if [ ! -x ./configure ]; then
./autogen.sh
fi